@charset "UTF-8";
.container {
  width: 100%;
  padding: 0 16px; /* 必要なら少しだけ左右に余白をとる */
  box-sizing: border-box;
}

#history {
  width: 100%;
  margin-top: 20px;
  /**** 週間カレンダーヒートマップ方式 ****/
  /**** 週間カレンダーグラフ方式 ****/
}
#history .heatmap_calendar {
  /* スマホサイズで調整 */
}
#history .heatmap_calendar .days {
  display: flex;
  height: 150px;
  width: 100%;
  border: 1px solid black;
  box-sizing: border-box;
}
#history .heatmap_calendar .day {
  flex: 1 1 0%;
  position: relative;
  border-left: 1px solid black;
  min-width: 0; /* Flex収縮を許可 */
}
#history .heatmap_calendar .day:first-child {
  border-left: none;
}
#history .heatmap_calendar .day_title {
  position: absolute;
  text-align: center;
  height: 30px;
  top: 0px;
  left: 0px;
  width: 100%;
  font-size: 12px;
  font-weight: bold;
  padding: 2px 4px;
  border-bottom: 1px solid black;
  z-index: 1;
  color: black;
  background-color: white;
}
#history .heatmap_calendar .day_title.saturday {
  color: white;
  background-color: blue;
}
#history .heatmap_calendar .day_title.holiday {
  color: white;
  background-color: red;
}
#history .heatmap_calendar .time_count {
  position: absolute;
  top: 30px;
  height: 120px;
  width: 100%;
  z-index: 2;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0.6;
}
#history .heatmap_calendar .viewer_graphs {
  position: relative;
  top: 30px;
  height: 120px;
  z-index: 1;
}
#history .heatmap_calendar .viewer_graphs .progress {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  height: 4.15%;
}
#history .heatmap_calendar .viewer_graphs .progress .progress-bar {
  height: 100%;
}
@media (max-width: 600px) {
  #history .heatmap_calendar body {
    margin: 0;
    padding: 0;
  }
  #history .heatmap_calendar .container {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
  #history .heatmap_calendar .days {
    flex-wrap: nowrap;
    width: 100%;
    border: 1px solid black;
  }
  #history .heatmap_calendar .day {
    flex: 1 1 0%;
    min-width: 0;
  }
}
#history .weekly_calendar {
  /* スマホサイズで調整 */
}
#history .weekly_calendar .week {
  padding: 0;
  margin: 0;
}
#history .weekly_calendar .days {
  display: flex;
  height: 150px;
  width: 100%;
  border: 1px solid black;
  box-sizing: border-box;
}
#history .weekly_calendar .day {
  flex: 1 1 0%;
  position: relative;
  border-left: 1px solid black;
  min-width: 0; /* Flex収縮を許可 */
}
#history .weekly_calendar .day:first-child {
  border-left: none;
}
#history .weekly_calendar .day_title {
  position: absolute;
  top: 2px;
  left: 2px;
  font-size: 12px;
  padding: 2px 4px;
  border: 1px solid black;
  background-color: white;
  z-index: 1;
}
@media (max-width: 600px) {
  #history .weekly_calendar body {
    margin: 0;
    padding: 0;
  }
  #history .weekly_calendar .container {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
  #history .weekly_calendar .days {
    flex-wrap: nowrap;
    width: 100%;
    border: 1px solid black;
  }
  #history .weekly_calendar .day {
    flex: 1 1 0%;
    min-width: 0;
  }
}

.rampart-one-regular {
  font-family: "Rampart One", sans-serif;
  font-weight: 400;
  font-style: normal;
}
